# Get-RubrikUnmanagedObject

## SYNOPSIS

Retrieves details on one or more unmanaged objects known to a Rubrik cluster

## SYNTAX

```
Get-RubrikUnmanagedObject [[-Name] <String>] [-Status <String>] [-Type <String>] [-Server <String>]
 [-api <String>] [<CommonParameters>]
```

## DESCRIPTION

The Get-RubrikUnmanagedObject cmdlet is used to pull details on any unmanaged objects that has been stored in the cluster In most cases, this will be on-demand snapshots that are associated with an object (virtual machine, fileset, database, etc.)

## EXAMPLES

### EXAMPLE 1

```
Get-RubrikUnmanagedObject -Type 'WindowsFileset'
```

This will return details on any filesets applied to Windows Servers that have unmanaged snapshots associated

### EXAMPLE 2

```
Get-RubrikUnmanagedObject -Status 'Unprotected' -Name 'Server1'
```

This will return details on any objects named "Server1" that are currently unprotected and have unmanaged snapshots associated

## PARAMETERS

### -Name

Search object by object name.

```yaml
Type: String
Parameter Sets: (All)
Aliases: search_value

Required: False
Position: 1
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

### -Status

Filter by the type of the object. If not specified, will return all objects. Valid attributes are Protected, Relic and Unprotected

```yaml
Type: String
Parameter Sets: (All)
Aliases: unmanaged_status

Required: False
Position: Named
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

### -Type

The type of the unmanaged object. This may be VirtualMachine, MssqlDatabase, LinuxFileset, or WindowsFileset.

```yaml
Type: String
Parameter Sets: (All)
Aliases: object_type

Required: False
Position: Named
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

### -Server

Rubrik server IP or FQDN

```yaml
Type: String
Parameter Sets: (All)
Aliases:

Required: False
Position: Named
Default value: $global:RubrikConnection.server
Accept pipeline input: False
Accept wildcard characters: False
```

### -api

API version

```yaml
Type: String
Parameter Sets: (All)
Aliases:

Required: False
Position: Named
Default value: $global:RubrikConnection.api
Accept pipeline input: False
Accept wildcard characters: False
```

### CommonParameters

This cmdlet supports the common parameters: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutVariable, -OutBuffer, -PipelineVariable, -Verbose, -WarningAction, and -WarningVariable. For more information, see [about\_CommonParameters](http://go.microsoft.com/fwlink/?LinkID=113216).

## INPUTS

## OUTPUTS

## NOTES

Written by Chris Wahl for community usage Twitter: @ChrisWahl GitHub: chriswahl

## RELATED LINKS

<https://rubrik.gitbook.io/rubrik-sdk-for-powershell/command-documentation/reference/get-rubrikunmanagedobject>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://rubrik.gitbook.io/rubrik-sdk-for-powershell/command-documentation/reference/get-rubrikunmanagedobject.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
